Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.helper
Class OWLDescriptionVisitorAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLDescriptionVisitorAdapter

All Implemented Interfaces:
  OWLDescriptionVisitor

public class OWLDescriptionVisitorAdapter
extends Object
implements OWLDescriptionVisitor

Provides an empty implementation of the `OWLDescriptionVisitor` interface. Those wishing to implement a visitor over subsets of the data structure can extend this class and provide the methods they need.

Version:
  $Id: OWLDescriptionVisitorAdapter.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Constructor Summary
`OWLDescriptionVisitorAdapter()`

Method Summary
`void` | `visit(OWLAnd node)`
`void` | `visit(OWLClass node)`
`void` | `visit(OWLDataAllRestriction node)`
`void` | `visit(OWLDataCardinalityRestriction node)`
`void` | `visit(OWLDataProperty node)`
`void` | `visit(OWLDataSomeRestriction node)`
`void` | `visit(OWLDataValueRestriction node)`
`void` | `visit(OWLEnumeration node)`
`void` | `visit(OWLFrame node)`
`void` | `visit(OWLIndividual node)`
`void` | `visit(OWLNot node)`
`void` | `visit(OWLObjectAllRestriction node)`
`void` | `visit(OWLObjectCardinalityRestriction node)`
`void` | `visit(OWLObjectSomeRestriction node)`
`void` | `visit(OWLObjectValueRestriction node)`
`void` | `visit(OWLOr node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLDescriptionVisitorAdapter

    public OWLDescriptionVisitorAdapter()

Method Detail

### visit

    public void visit(OWLAnd node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLDataAllRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLDataCardinalityRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLDataProperty node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataSomeRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLDataValueRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLFrame node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLIndividual node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectAllRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectCardinalityRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectSomeRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectValueRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLNot node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLOr node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLClass node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

### visit

    public void visit(OWLEnumeration node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLDescriptionVisitor`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb